* * *

Author Topic: lazarus.pp(150,42) Error: Can't call the assembler, error -1 switching to extern  (Read 1697 times)

solxsado

  • New member
  • *
  • Posts: 6
hi
i installed lazarus 1.6 on xubuntu 16.4.1 uner raspberry pi 3 , now i want install any component
but show this message (lazarus.pp(150,42) Error: Can't call the assembler, error -1 switching to extern) when build the lazarus

Line 150 in lazarus.pp >> debugln('LAZARUS END - cleaning up ...');

i need help
tnk

Excuse me for bad English
« Last Edit: January 15, 2018, 09:11:28 am by solxsado »

Thaddy

  • Hero Member
  • *****
  • Posts: 7137
Did you install FPC too? There should be no problem, I compile Lazarus 1.9 every day.
BTW it is recommended to install Lazarus 1.8 and FPC 3.0.4
inline variables like in D10.3 are a bit like Brexit: if you are given the wrong information it sounds like a good idea. Every kid loves candy, but it makes you fat and your teeth will disappear.

solxsado

  • New member
  • *
  • Posts: 6
tnk for answer

i can't install lazarus 1.8
and fpc already installed

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 6582
If you run "as" on the commandline, does it show then? Are the binutils installed?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 995
Sometimes this error is caused by a lack of memory.
Try to add 1GB of swap.

solxsado

  • New member
  • *
  • Posts: 6
ok
I will check

solxsado

  • New member
  • *
  • Posts: 6
If you run "as" on the commandline, does it show then? Are the binutils installed?

binutils is already installed

If you run "as" on the commandline, does it show then?
I do not know how to do it
« Last Edit: January 15, 2018, 11:09:40 am by solxsado »

Thaddy

  • Hero Member
  • *****
  • Posts: 7137
See screenshot:
inline variables like in D10.3 are a bit like Brexit: if you are given the wrong information it sounds like a good idea. Every kid loves candy, but it makes you fat and your teeth will disappear.

solxsado

  • New member
  • *
  • Posts: 6
screenshot

solxsado

  • New member
  • *
  • Posts: 6
Sometimes this error is caused by a lack of memory.
Try to add 1GB of swap.

very very tnk
 i add swap and solved ;) :D

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus